%define upstream_name    CGI-Application-Plugin-CAPTCHA
%define upstream_version 0.04

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    Easily create, use, and verify CAPTCHAs in
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/CGI/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CGI::Application)
BuildRequires: perl(GD::SecurityImage)
BuildRequires: perl(Digest::SHA1)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Module::Build::Compat)
BuildRequires: perl(Data::Random)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::WWW::Mechanize)
BuildRequires: perl(HTTP::Server::Simple::CGI)
BuildArch: noarch


%{?perl_default_filter}

%description
'CGI::Application::Plugin::CAPTCHA' allows programmers to easily add and
verify CAPTCHAs in their CGI::Application-derived web applications.

A CAPTCHA (or Completely Automated Public Turing Test to Tell Computers and
Humans Apart) is an image with a random string of characters. A user must
successfully enter the random string in order to submit a form. This is a
simple (yet annoying) procedure for humans to complete, but one that is
significantly more difficult for a form-stuffing script to complete without
having to integrate some sort of OCR.

CAPTCHAs are not a perfect solution. Any skilled, diligent cracker will
eventually be able to bypass a CAPTCHA, but it should be able to shut down
your average script-kiddie.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files
%doc Changes README META.yml
%{_mandir}/man3/*
%perl_vendorlib/CGI


%changelog
* Sat Jun 18 2016 pterjan <pterjan> 0.40.0-9.mga6
+ Revision: 1023425
- Rebuild for perl 5.22.2

* Fri Jan 29 2016 umeabot <umeabot> 0.40.0-8.mga6
+ Revision: 928834
- Mageia 6 Mass Rebuild

* Fri Jan 29 2016 umeabot <umeabot> 0.40.0-7.mga6
+ Revision: 928812
- Mageia 6 Mass Rebuild
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.40.0-5.mga5
+ Revision: 732913
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.40.0-4.mga5
+ Revision: 683628
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.40.0-3.mga4
+ Revision: 509383
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.40.0-2.mga3
+ Revision: 363469
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 27 2011 jquelin <jquelin> 0.40.0-1.mga1
+ Revision: 42015
- mageia rebuild
- imported package perl-CGI-Application-Plugin-CAPTCHA

